=== debian/changelog ===
gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.0) trusty; urgency=medium

  * Backport to Trusty
  * Don't wait for snapd.seeded.service
  * Keep recommending google-cloud-sdk
  * Refresh patches
  * debian/rules: Handle all upstart services in override_dh_installinit
  * Clean up obsoleted services for upstart, too
  * Manage upstart scripts in postinst/preinst/prerm

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 17 May 2018 04:05:15 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu3) cosmic; urgency=medium

  * Update prerm to stop google-network-daemon.service rather than the removed ones
  * Only Provide irqbalance without Breaks and Replaces to ensure smooth upgrades

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 May 2018 19:18:25 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu2) cosmic; urgency=medium

  * debian/patches/0003-order-startup-scripts-after-snap-
    seeding.service: Ensure that snaps have been seeded before startup
    scripts run.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Tue, 15 May 2018 14:12:44 -0400

gce-compute-image-packages (20180510+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Balint Reczey ]
  * Break, Replace and Provide irqbalance.
    Optimization scripts are conflicting with irqbalance and the set
    relationships ensure removal of irqbalance when it was accidentally
    installed.
  * Depend on virtual system-log-daemon as an alternative of rsyslog
  * Update copyrights
  * New upstream version 20180510 (LP: #1770650)
  * Refresh patches
  * Adjust tests to changed behaviour
  * Update symlink to shared library with updated revision
  * debian/gce-compute-image-packages.preinst: Add debhelper token
  * Update Lintian overrides

  [ Google Cloud Team ]
  * Add module blacklist for GCE
  * Fix Debian install when migrating to new network daemon

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 15 May 2018 16:09:25 +0200

gce-compute-image-packages (20180129+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  [ Balint Reczey ]
  * Override false positive maintainer-script-empty Lintian warning
  * Suggest libpam-cracklib instead of recommending it
    libpam-cracklib was not installed on cloud images before due to using
    --no-install-recommends when installing gce-compute-image-packages, but this
    state could have been surprising for users. (LP: #1741989)
  * New upstream version 20180129+dfsg1 (LP: #1746588)
    - Close socket connections when requesting metadata.
    - Change the OS Login uid restriction to allow uid 1000.
    - Improve hostname setting, including restarting rsyslog
  * Backport to Trusty

  [ Zach Marano from Google Cloud Team ]
  * Update symlink to shared library with updated revision
  * Depend on rsyslog
  * Force IPv4 for Debian apt configs

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 31 Jan 2018 20:14:23 +0100
