=== debian/control ===
Source: gce-compute-image-packages
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: admin
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               dh-python,
               dh-systemd,
               libcurl4-openssl-dev,
               libgtest-dev,
               libjson-c-dev,
               libpam-dev,
               python-all,
               python-setuptools,
               python-pytest,
               python-mock,
               python-boto
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
Vcs-Git: git://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages
XSBC-Original-Maintainer: Daniel Watkins <daniel.watkins@canonical.com>

Package: gce-compute-image-packages
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         google-compute-engine-oslogin,
         python-google-compute-engine (= ${source:Version}),
         chrony | ntp | time-daemon,
         rsyslog | system-log-daemon,
         cloud-init
Provides: irqbalance
Suggests: libpam-cracklib
Conflicts: gce-cloud-config,
           gce-daemon,
           gce-startup-scripts
Replaces: gce-cloud-config,
          gce-daemon,
          gce-startup-scripts
Description: GCE's compute-image-packages for use in their guest environment
 This is a collection of scripts that are used on Google Compute Engine images
 to ensure compatibility with the cloud, as well as to enable features specific
 to the cloud.

Package: python-google-compute-engine
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends}
Description: Python library for Google Compute Engine interaction
 Python libraries used for interacting with Google Compute Engine's APIs and
 functionality.  This package contains the modules for Python 2.x.

Package: google-compute-engine-oslogin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openssh-server
Description: Google Compute Engine OS Login
 Contains libraries, applications and configurations for using OS Login
 on Google Compute Engine Virtual Machine Instances.
