=== debian/changelog ===
gce-compute-image-packages (20180905+dfsg1-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 14 Sep 2018 01:28:31 +0200

gce-compute-image-packages (20180905+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Balint Reczey ]
  * New upstream version 20180905+dfsg1 (LP: #1792466)
    - Restart the network daemon if networking is restarted.
    - Prevent setup of the default ethernet interface.
    - Accounts daemon can now verify username is 32 characters or less.
    - Prevent IP forwarding daemon log spam.
    - Make default shell configurable when executing metadata scripts.
    - Rename distro directory to distro_lib.
  * debian/control: Update Vcs-* fields to point to the new packaging repository
  * Update shared library symlinks
  * Drop 0001-Adjust-tests-to-changed-LoadJsonArrayToCache-behavio.patch,
    it is integrated upstream
  * Build depend on debhelper (>= 9.20160709) instead of on dh-systemd
    to keep Lintian happy.

  [ Google Cloud Team ]
  * Remove NTP dependency from packaging

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 Sep 2018 23:08:33 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu5) cosmic; urgency=medium

  * Depend on the same version of google-compute-engine-oslogin
  * Only Recommend rsyslog | system-log-daemon (LP: #1780109)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 04 Jul 2018 17:22:09 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu4~18.04.1) bionic; urgency=medium

  * Only Recommend rsyslog | system-log-daemon (LP: #1780109)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Jul 2018 16:07:01 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu4~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 18 May 2018 12:51:48 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu4) cosmic; urgency=medium

  * debian/patches/0004-order-shutdown-scripts-after-snapd.patch: Order
    shutdown scripts after snapd.service.
  * debian/patches/0005-add-snap-bin-to-path.patch: Add /snap/bin to
    PATH for startup/shutdown scripts.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 17 May 2018 12:30:32 -0400

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 May 2018 19:36:11 +0200
