=== debian/control ===
--- 
+++ 
@@ -3,34 +3,37 @@
 Section: admin
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 9.20160709),
                dh-python,
-               dh-systemd,
                libcurl4-openssl-dev,
                libgtest-dev,
                libjson-c-dev,
                libpam-dev,
                python-all,
                python-setuptools,
+               python3-all,
+               python3-setuptools,
                python-pytest,
+               python3-pytest,
                python-mock,
-               python-boto
+               python-boto,
+               python3-boto
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
-Vcs-Git: git://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages -b ubuntu/master
 Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages
 XSBC-Original-Maintainer: Daniel Watkins <daniel.watkins@canonical.com>
 
 Package: gce-compute-image-packages
 Architecture: all
-Depends: ${python:Depends},
+Depends: python3:any,
+         ${python3:Depends},
          ${misc:Depends},
-         google-compute-engine-oslogin,
-         python-google-compute-engine (= ${source:Version}),
-         chrony | ntp | time-daemon,
-         rsyslog | system-log-daemon,
+         google-compute-engine-oslogin (= ${source:Version}),
+         python3-google-compute-engine (= ${source:Version}),
          cloud-init
 Provides: irqbalance
+Recommends: rsyslog | system-log-daemon
 Suggests: libpam-cracklib
 Conflicts: gce-cloud-config,
            gce-daemon,
@@ -52,6 +55,15 @@
  Python libraries used for interacting with Google Compute Engine's APIs and
  functionality.  This package contains the modules for Python 2.x.
 
+Package: python3-google-compute-engine
+Architecture: all
+Section: python
+Depends: ${python3:Depends},
+         ${misc:Depends}
+Description: Python library for Google Compute Engine interaction (Python 3)
+ Python libraries used for interacting with Google Compute Engine's APIs and
+ functionality.  This package contains the modules for Python 3.x.
+
 Package: google-compute-engine-oslogin
 Architecture: any
 Depends: ${shlibs:Depends},
