## gce-compute-image-packages 20181206+dfsg1

=== debian/changelog ===
gce-compute-image-packages (20181206+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  * Backport to Trusty with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Trusty does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
    - debian/rules: Handle all upstart services in override_dh_installinit
    - Clean up obsoleted services for upstart, too
    - Manage upstart scripts in postinst/preinst/prerm
  * Restore switch to using NOOP as the default scheduler that was lost in
    20180905+dfsg1-0ubuntu1~14.04.0
  * Simply add -lboost_regex to LIBS instead of fixing Makefile and passing it
    from debian/rules. Setting -Wl,-z,defs broke the prior solution and
    upstreaming the Makefile fix did not go smooth anyway.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 07 Jan 2019 15:02:02 +0700

gce-compute-image-packages (20181206+dfsg1-0ubuntu1) disco; urgency=medium

  [ Brian Murray ]
  * Add 0001-set-LDFLAGS-to-prevent-undefs.patch

  [ Balint Reczey ]
  * Keep Debian patch unapplied
  * New upstream version 20181206 (LP: #1803973)
    - Support enabling OS Login two factor authentication
  * Refresh patches
  * Update Lintian overrides for renamed commands
  * Update shared library symlinks

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 21 Dec 2018 16:54:01 +0100

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~14.04.1) trusty; urgency=medium

  * debian/patches/set-LDFLAGS-for-PAM.patch: Fix missing symbols
    when using oslogin due to misording of the boost regex library
    in linking the PAM modules. (LP: #1798706)

 -- Daniel Axtens <daniel.axtens@canonical.com>  Fri, 19 Oct 2018 12:41:42 +1100

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  * Backport to Trusty
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
  * Revert "Build depend on debhelper (>= 9.20160709) instead of on dh-systemd"
    This reverts commit 1afdbde3f27ab4d1712b1a0d4cc14df3a0528bdc.
    Xenial does not have that debhelper version thus dh-systemd is needed there.
  * Build-depend on libboost-regex-dev for regex support
  * Choose std:: or boost:: regex based on support for C++11
  * Set LDFLAGS at the end of the the c++ command line right before libs.
    This fixes passig additional libs to make, namely -lboost_regex
  * Link with boost for regex support
  * Free tests from C++11 constructs to let them being compiled without C++11 support

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 17 Sep 2018 00:17:02 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.3) trusty; urgency=medium

  * Restart services upon upgrade with upstart, too
  * Remove handling the systemd cases from maintainer scripts

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 07 Jun 2018 16:27:01 -0700

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.2) trusty; urgency=medium

  * Revert to debhelper to perform most service operations

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 30 May 2018 19:35:26 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~14.04.1) trusty; urgency=medium

  * Stop obsoleted services before removing their upstart .conf files

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 23 May 2018 23:23:57 +0200
