=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 override_dh_auto_test:
 	(cd gtest && cmake . && $(MAKE) )
 	(cd $(OSLOGIN_DIR)/utils && \
-		$(CXX) $(CXXFLAGS) -L../../gtest -o test_runner oslogin_utils_test.cc oslogin_utils.cc -I/usr/include/json-c -lcurl -ljson-c -lgtest -lpthread && \
+		$(CXX) $(CXXFLAGS) -L../../gtest -o test_runner oslogin_utils_test.cc oslogin_utils.cc -I/usr/include/json-c $(LDFLAGS) -lcurl -ljson-c -lgtest -lpthread -lboost_regex && \
 		./test_runner && \
 		rm test_runner)
 
@@ -31,11 +31,7 @@
 	$(MAKE) -C $(OSLOGIN_DIR) DESTDIR=$(CURDIR)/debian/tmp PAM_INSTALL_PATH=/lib/$(DEB_HOST_MULTIARCH)/security BIN_INSTALL_PATH=/usr/bin install
 
 override_dh_installinit:
-	dh_installinit --name=google-accounts-daemon --onlyscripts --no-start --no-restart-on-upgrade
-	dh_installinit --name=google-clock-skew-daemon --onlyscripts --no-start --no-restart-on-upgrade
-	dh_installinit --name=google-instance-setup --onlyscripts --no-start --no-restart-on-upgrade
-	dh_installinit --name=google-network-daemon --onlyscripts --no-start --no-restart-on-upgrade
-	dh_installinit --name=google-startup-scripts --onlyscripts --no-start --no-restart-on-upgrade
+	dh_installinit --name=google-startup-scripts --onlyscripts --no-start --no-restart-on-upgrade 
 	dh_installinit --name=google-shutdown-scripts --onlyscripts --no-start --no-restart-on-upgrade
 	dh_installinit --name=google-shutdown-scripts-block-rsyslog --onlyscripts --no-start --no-restart-on-upgrade
