## gce-compute-image-packages 20190124+dfsg1

=== debian/changelog ===
gce-compute-image-packages (20190124+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  * Rebuild for Trusty

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 25 Jan 2019 14:46:10 +0700

gce-compute-image-packages (20190124+dfsg1-0ubuntu1) disco; urgency=medium

  * New upstream version 20190124 (LP: #1813246)
    -  Update script retrieval to support Python 3

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 25 Jan 2019 12:41:07 +0700
