=== debian/changelog ===
gce-compute-image-packages (20190315-0ubuntu1~14.04.0) trusty; urgency=medium

  * Backport to Trusty with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Trusty does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
    - debian/rules: Handle all upstart services in override_dh_installinit
    - Clean up obsoleted services for upstart, too
    - Manage upstart scripts in postinst/preinst/prerm
  * Refresh patches
  * debian/rules: Work around dh-python ignoring PYBUILD_DIR
  * debian/rules: rm -rf .pybuild/ because dh_clean does not do it

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 14:27:18 +0200

gce-compute-image-packages (20190315-0ubuntu1) eoan; urgency=medium

  * New upstream version 20190315 (LP: #1824212)
    - Reorganize source tree
    - Use pam_group with OS Login
    - Set oom_score_adjust for google-accounts daemon
    - Restrict permissions for google-oslogin sudoers
    - Add OS Login support for Google prompt challenges
    - Bug fixes
  * Refresh patches
  * Adjust packaging to upstream tree reorganization
  * Ship google_set_hostname as a command, not just as an dhclient exit hook
    matching upstream's choice
  * Don't ship journalctl configuration snippet to forward log to console
  * Update shared library symlinks
  * Ignore absolute symlinks in the source package to keep Lintian happy

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 13:57:26 +0200
