=== debian/control ===
--- 
+++ 
@@ -3,21 +3,19 @@
 Section: admin
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9.20160709),
+               debhelper (>= 9),
                dh-python,
+               dh-systemd,
+               libboost-regex-dev,
                libcurl4-openssl-dev,
                libgtest-dev,
                libjson-c-dev,
                libpam-dev,
                python-all,
                python-setuptools,
-               python3-all,
-               python3-setuptools,
                python-pytest,
-               python3-pytest,
                python-mock,
-               python-boto,
-               python3-boto
+               python-boto
 Standards-Version: 3.9.8
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages -b ubuntu/master
@@ -26,11 +24,10 @@
 
 Package: gce-compute-image-packages
 Architecture: all
-Depends: python3:any,
-         ${python3:Depends},
+Depends: ${python:Depends},
          ${misc:Depends},
          google-compute-engine-oslogin (= ${source:Version}),
-         python3-google-compute-engine (= ${source:Version}),
+         python-google-compute-engine (= ${source:Version}),
          cloud-init
 Provides: irqbalance
 Recommends: rsyslog | system-log-daemon
@@ -55,15 +52,6 @@
  Python libraries used for interacting with Google Compute Engine's APIs and
  functionality.  This package contains the modules for Python 2.x.
 
-Package: python3-google-compute-engine
-Architecture: all
-Section: python
-Depends: ${python3:Depends},
-         ${misc:Depends}
-Description: Python library for Google Compute Engine interaction (Python 3)
- Python libraries used for interacting with Google Compute Engine's APIs and
- functionality.  This package contains the modules for Python 3.x.
-
 Package: google-compute-engine-oslogin
 Architecture: any
 Depends: ${shlibs:Depends},
