## gce-compute-image-packages 20190521

=== debian/changelog ===
gce-compute-image-packages (20190521-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 May 2019 13:29:21 +0200

gce-compute-image-packages (20190521-0ubuntu1) eoan; urgency=medium

  * New upstream version 20190521 (LP: #1830194)
    - Fix pam_group ordering detection
    - Restart cron on OS Login control
    - Add PAM entry to su:account stack
    - Retry download for metadata scripts
    - Fix script retrieval in python3
    - Disable boto config in python3
    - Update SSH host keys in guest attributes.
    - Fix XPS settings with more than 64 vCPUs
  * Update shared library symlinks

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 22 May 2019 18:53:01 +0200

gce-compute-image-packages (20190315-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
  * Refresh patches
  * debian/rules: Work around dh-python ignoring PYBUILD_DIR

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 14:13:57 +0200

gce-compute-image-packages (20190124+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 25 Jan 2019 14:38:44 +0700

gce-compute-image-packages (20181206+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
  * Simply add -lboost_regex to LIBS instead of fixing Makefile and passing it
    from debian/rules. Setting -Wl,-z,defs broke the prior solution and
    upstreaming the Makefile fix did not go smooth anyway.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 07 Jan 2019 14:50:42 +0700

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~16.04.1) xenial; urgency=medium

  * debian/patches/set-LDFLAGS-for-PAM.patch: Fix missing symbols
    when using oslogin due to misording of the boost regex library
    in linking the PAM modules. (LP: #1798706)

 -- Daniel Axtens <daniel.axtens@canonical.com>  Fri, 19 Oct 2018 12:35:45 +1100

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
  * Build-depend on libboost-regex-dev for regex support
    version making dh-systemd obsolete
  * Choose std:: or boost:: regex based on support for C++11
  * Set LDFLAGS at the end of the the c++ command line right before libs.
    This fixes passig additional libs to make, namely -lboost_regex
  * Link with boost for regex support
  * Free tests from C++11 constructs to let them being compiled without
    C++11 support

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 16 Sep 2018 23:55:40 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~16.04.1) xenial; urgency=medium

  * Only Recommend rsyslog | system-log-daemon (LP: #1780109)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Jul 2018 16:31:35 +0200

gce-compute-image-packages (20180510+dfsg1-0ubuntu3~16.04.0) xenial; urgency=medium

  * Backport to Xenial
  * Don't wait for snapd.seeded.service
  * Keep recommending google-cloud-sdk

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 May 2018 21:07:04 +0200

gce-compute-image-packages (20180129+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  [ Balint Reczey ]
  * Override false positive maintainer-script-empty Lintian warning
  * Suggest libpam-cracklib instead of recommending it
    libpam-cracklib was not installed on cloud images before due to using
    --no-install-recommends when installing gce-compute-image-packages, but this
    state could have been surprising for users. (LP: #1741989)
  * New upstream version 20180129+dfsg1 (LP: #1746588)
    - Close socket connections when requesting metadata.
    - Change the OS Login uid restriction to allow uid 1000.
    - Improve hostname setting, including restarting rsyslog
  * Backport to Xenial

  [ Zach Marano from Google Cloud Team ]
  * Update symlink to shared library with updated revision
  * Depend on rsyslog
  * Force IPv4 for Debian apt configs

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 31 Jan 2018 20:14:23 +0100

gce-compute-image-packages (20171129+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  [ Balint Reczey ]
  * Add minimal debian/google-compute-engine-oslogin.prerm to fix upgrades
    (LP: #1733878)
  * New upstream version 20171129+dfsg1
    - Generate SSH host keys when none are present.
    - Improve logging when activating OS Login.
    - Fix parsing logic for expiration time on SSH public keys.

